# @fizz.js/node-rabbitmq

This is a rabbitmq library for express.

## install

add `dependencies` into `package.json` and run `yarn install`

## configure

please put `rabbitmq` config into `config/${env}.json`

```[json]
{
  "rabbitmq": {
    "credentials": {
      "username": "ItgAdmin",
      "password": "Itg@Admin$2019"
    },
    "url": "amqp://ItgAdmin:Itg%40Admin%242019@127.0.0.1:5672?hearbeat=60&frameMax=0x1000",
    "hostname": "127.0.0.1",
    "port": 5672
  }
}
```

## test

```[bash]
yarn test
```

## coverage

```[bash]
yarn cover
```

## build

```[bash]
yarn build
```

## docs

```[bash]
yarn docs
```
