'use strict'
// @ts-check

/**
 *
 * @typedef IRabbitmqOptions
 * @type {Object}
 * @property {IRabbitmqCredentials} credentials
 * @property {string} url
 * @property {string} [hostname='127.0.0.1']
 * @property {number} [port=5672]
 * */

/**
 *
 * @typedef IRabbitmqCredentials
 * @type {Object}
 * @property {string} username
 * @property {string} password
 * */
